Skip to main content

Get User Transactions

Retrieve transactions for a specific user with filtering options.

Endpoint

GET /v2/users/users/{user_id}/transactions

Headers

HeaderValue
AuthorizationBearer {token}

Path Parameters

ParameterTypeRequiredDescription
user_idstringYesThe unique identifier of the user

Query Parameters

ParameterTypeRequiredDescription
pageintegerYesPage number for pagination
per_pageintegerYesNumber of items per page
typesinteger[]NoFilter by transaction types (can be multiple)

Response

Returns a paginated list of transactions for the specified user.

Success Response (200 OK)

{
"data": [
{
"id": "6985e6fa07aa9b80c33f6a7d",
"user_id": "6983c9b807aa9b80c33f696d",
"type": 1,
"status": 3,
"environment": 0,
"internal_id": "698345d9e2cb4cfb988cacb3",
"external_id": "698345d9e2cb4cfb988cacb3",
"hash": "0xc34e006659d532a0c8212a8ec624a08cfab3ffbd102936a681ab81e3cf7e0c6d",
"error": null,
"message": null,
"is_api": false,
"created_at": "2026-02-06T13:04:58.802Z",
"updated_at": "2026-02-06T13:05:09.911Z",
"data": {
"token_id": "698345d9e2cb4cfb988cacb3",
"quantity": 7,
"price_id": "6913307ec95e268b239b2d8b",
"price_amount": 1,
"price_decimal": 6,
"price_symbol": "VUSD",
"price_address": "0xf2d90affe805280c004d0135343f2cbd7c96ce98",
"seller_address": "0x11Dd160A9e962E8fAc0b3307Ef75Ad4eA3F4d82C",
"buyer_address": "0x4A096E485281DE1B8bF11A511D39d5B128EF7C4b",
"total_fee_percentage": 4,
"total_fee_amount": 0.28
}
},
{
"id": "6985c19507aa9b80c33f6a18",
"user_id": "6983c9b807aa9b80c33f696d",
"type": 6,
"status": 1,
"environment": 0,
"internal_id": null,
"external_id": "6983383ae2cb4cfb988cacaf",
"hash": null,
"error": null,
"message": null,
"data": null,
"is_api": false,
"created_at": "2026-02-06T10:25:25.83Z",
"updated_at": "2026-02-06T10:25:25.83Z"
}
],
"total": 6,
"page": 1,
"per_page": 10
}

Response Fields

FieldTypeDescription
dataarrayArray of transaction objects
totalintegerTotal number of transactions
pageintegerCurrent page number
per_pageintegerNumber of items per page

Transaction Object Structure

FieldTypeDescription
idstringUnique transaction identifier
user_idstringUser identifier
typeintegerTransaction type (see Type enum below)
statusintegerTransaction status (Status enum)
environmentintegerTransaction environment (Environment enum)
internal_idstring | nullInternal reference (e.g. purchase ID when done)
external_idstringExternal reference (e.g. token ID)
hashstring | nullBlockchain transaction hash
errorstring | nullError message if transaction failed
messagestring | nullTransaction message
dataobject | nullType-specific payload - structure varies by type (see Data by Type below)
is_apibooleanWhether transaction was created via API
created_atstringCreation timestamp (ISO 8601)
updated_atstringLast update timestamp (ISO 8601)

Data by Type

The data object structure depends on type. Fields present when not applicable are omitted.

Type 1 - PurchaseOnPrimaryMarket

FieldTypeDescription
token_idstringToken identifier
quantityintegerQuantity purchased
price_idstringCurrency token ID
price_amountnumberUnit price
price_decimalintegerPrice decimals
price_symbolstringPrice symbol (e.g. VUSD)
price_addressstringCurrency contract address
seller_addressstringSeller wallet address
buyer_addressstringBuyer wallet address
total_fee_percentagenumberTotal fee percentage (optional)
total_fee_amountnumberTotal fee amount (optional)

Type 2 - PurchaseOnSecondaryMarket

FieldTypeDescription
token_idstringToken identifier
deal_idintegerDeal/listing identifier
quantityintegerQuantity purchased
price_id, price_amount, price_decimal, price_symbol, price_address-Price information
seller_addressstringSeller wallet address
buyer_addressstringBuyer wallet address
total_buyer_fee_percentage, total_buyer_fee_amountnumberBuyer fee (optional)
total_seller_fee_percentage, total_seller_fee_amountnumberSeller fee (optional)

Type 3 - SellOnSecondaryMarket

FieldTypeDescription
token_idstringToken identifier
quantityintegerQuantity sold
amountintegerTotal amount
price_id, price_amount, price_decimal, price_symbol, price_address-Price information
total_fee_percentage, total_fee_amountnumberFee (optional)

Type 4 - DelistOnSecondaryMarket

FieldTypeDescription
token_idstringToken identifier
deal_idintegerDeal identifier

Type 5 - ClaimRent

FieldTypeDescription
token_idstringToken identifier
rent_idintegerRent identifier
node_idstringNode identifier
per_price_amount, per_price_decimal, per_price_symbol, per_price_address, per_price_id-Per-token price (optional)
total_price_amount, total_price_decimal, total_price_symbol, total_price_address, total_price_id-Total price (optional)

Type 6 - CreateOtcOffer

FieldTypeDescription
token_idstringToken identifier
quantityintegerQuantity offered
amountintegerTotal amount
price_id, price_amount, price_decimal, price_symbol, price_address-Price information
total_fee_percentage, total_fee_amountnumberFee (optional)

Type 7 - CancelOtcOffer

FieldTypeDescription
token_idstringToken identifier
deal_idintegerDeal identifier

Type 8 - Burn

FieldTypeDescription
token_idstringToken identifier
received_amountnumberAmount received (optional)
received_amount_decimalintegerReceived amount decimals (optional)
received_amount_symbolstringReceived amount symbol (optional)
received_amount_addressstringReceived amount contract address (optional)

Type (Transaction Type)

ValueDescription
1PurchaseOnPrimaryMarket - Primary market purchase
2PurchaseOnSecondaryMarket - Secondary market purchase
3SellOnSecondaryMarket - Secondary market sale
4DelistOnSecondaryMarket - Secondary market delisting
5ClaimRent - Rent claim
6CreateOtcOffer - Create OTC offer
7CancelOtcOffer - Cancel OTC offer
8Burn - Token burn
9PurchaseOnDistributionMarket - Distribution market purchase

Status (Transaction Status)

ValueDescription
1Started - Transaction started
2InProgress - Transaction in progress
3Done - Transaction completed
4Error - Transaction failed

Environment (Transaction Environment)

ValueDescription
0DefaultEnvironment - Default environment
1OtcEnvironment - OTC environment
2SecondaryMarketEnvironment - Secondary market environment

Example

Request

curl -X GET "\{\{baseUrl\}\}/v2/users/users/6983c9b807aa9b80c33f696d/transactions?page=1&per_page=10" \
-H "Authorization: Bearer \{\{token\}\}"

Response

{
"data": [
{
"id": "6985e6fa07aa9b80c33f6a7d",
"user_id": "6983c9b807aa9b80c33f696d",
"type": 1,
"status": 3,
"environment": 0,
"internal_id": "698345d9e2cb4cfb988cacb3",
"external_id": "698345d9e2cb4cfb988cacb3",
"hash": "0xc34e006659d532a0c8212a8ec624a08cfab3ffbd102936a681ab81e3cf7e0c6d",
"error": null,
"message": null,
"data": {
"token_id": "698345d9e2cb4cfb988cacb3",
"quantity": 7,
"price_amount": 1,
"price_decimal": 6,
"price_symbol": "VUSD",
"seller_address": "0x11Dd160A9e962E8fAc0b3307Ef75Ad4eA3F4d82C",
"buyer_address": "0x4A096E485281DE1B8bF11A511D39d5B128EF7C4b",
"total_fee_amount": 0.28,
"total_fee_percentage": 4
},
"is_api": false,
"created_at": "2026-02-06T13:04:58.802Z",
"updated_at": "2026-02-06T13:05:09.911Z"
},
{
"id": "6985c19507aa9b80c33f6a18",
"user_id": "6983c9b807aa9b80c33f696d",
"type": 6,
"status": 1,
"environment": 0,
"external_id": "6983383ae2cb4cfb988cacaf",
"hash": null,
"error": null,
"message": null,
"data": null,
"is_api": false,
"created_at": "2026-02-06T10:25:25.83Z",
"updated_at": "2026-02-06T10:25:25.83Z"
}
],
"total": 6,
"page": 1,
"per_page": 10
}

Error Responses

400 Bad Request

{
"error": "Invalid user ID format"
}

401 Unauthorized

{
"error": "Authentication required"
}

403 Forbidden

{
"error": "Access denied"
}

404 Not Found

{
"error": "User not found"
}

500 Internal Server Error

{
"error": "Internal server error"
}